Package owl.translations.ltl2ldba

## Class AsymmetricLDBAConstruction<B extends GeneralizedBuchiAcceptance>

- java.lang.Object
- - owl.translations.ltl2ldba.AsymmetricLDBAConstruction<B>

- All Implemented Interfaces:
    `Function<LabelledFormula,​AnnotatedLDBA<EquivalenceClass,​AsymmetricProductState,​B,​SortedSet<AsymmetricEvaluatedFixpoints>,​Function<EquivalenceClass,​Set<AsymmetricProductState>>>>`

      public final class AsymmetricLDBAConstruction<B extends GeneralizedBuchiAcceptance>
      extends Object
      implements Function<LabelledFormula,​AnnotatedLDBA<EquivalenceClass,​AsymmetricProductState,​B,​SortedSet<AsymmetricEvaluatedFixpoints>,​Function<EquivalenceClass,​Set<AsymmetricProductState>>>>

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AnnotatedLDBA<EquivalenceClass,​AsymmetricProductState,​B,​SortedSet<AsymmetricEvaluatedFixpoints>,​Function<EquivalenceClass,​Set<AsymmetricProductState>>>` | `apply​(LabelledFormula input)` |
    `static <B extends GeneralizedBuchiAcceptance> AsymmetricLDBAConstruction<B>` | `of​(Environment environment, Class<? extends B> clazz)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose`

- - ### Method Detail

    - #### of

          public static <B extends GeneralizedBuchiAcceptance> AsymmetricLDBAConstruction<B> of​(Environment environment,
                                                                                                Class<? extends B> clazz)

    - #### apply

          public AnnotatedLDBA<EquivalenceClass,​AsymmetricProductState,​B,​SortedSet<AsymmetricEvaluatedFixpoints>,​Function<EquivalenceClass,​Set<AsymmetricProductState>>> apply​(LabelledFormula input)

      Specified by:
        `apply` in interface `Function<LabelledFormula,​AnnotatedLDBA<EquivalenceClass,​AsymmetricProductState,​B extends GeneralizedBuchiAcceptance,​SortedSet<AsymmetricEvaluatedFixpoints>,​Function<EquivalenceClass,​Set<AsymmetricProductState>>>>`